<!DOCTYPE html>
<?php

$port = 8300;
$width = 400;

?>

<html>
<head>

<meta charset="utf-8" />
<style>
	
	.jp-title {
		
		display:none;
	}
	
	.logo {
		
		width: <?php echo $width+30 ?>px!important;
	}
	
	.jp-audio-stream {
		
		width: <?php echo $width-10 ?>px!important;
	}
	
	.jp-audio-stream .jp-interface .jp-volume-bar {
		
		width: <?php echo $width-13 ?>px!important;
	}
	
	body {
		background-color: #c91a83;
	}
	
	.nowplaying {
		border: 5px solid #FFFFFF;
		width: <?php echo $width ?>px!important;
		padding: 10px;
		margin-top: 5px;
		margin-bottom: 10px;
		color: #fff;
		font-family: 'Fjalla One', sans-serif;
	}
	
</style>

<title>Andover Radio | Player</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<link href="./dist/skin/pink.flag/css/jplayer.pink.flag.min.css" rel="stylesheet" type="text/css" />
<link href="https://fonts.googleapis.com/css?family=Fjalla+One" rel="stylesheet">
<script type="text/javascript" src="./lib/jquery.min.js"></script>
<script type="text/javascript" src="./dist/jplayer/jquery.jplayer.min.js"></script>
<script type="text/javascript">
//<![CDATA[
$(document).ready(function(){

	var stream = {
		title: "Player",
		mp3: "http://s2.xrad.io:<?php echo $port; ?>/;stream/1"
	},
	ready = false;

	$("#jquery_jplayer_1").jPlayer({
		ready: function (event) {
			ready = true;
			$(this).jPlayer("setMedia", stream).jPlayer("play");
		},
		pause: function() {
			$(this).jPlayer("clearMedia");
		},
		error: function(event) {
			if(ready && event.jPlayer.error.type === $.jPlayer.error.URL_NOT_SET) {
				// Setup the media stream again and play it.
				$(this).jPlayer("setMedia", stream).jPlayer("play");
			}
		},
		swfPath: "./dist/jplayer",
		supplied: "mp3",
		preload: "none",
		wmode: "window",
		useStateClassSkin: true,
		autoBlur: false,
		keyEnabled: true,
		                    size: {
                         width: "390px",
                         height: "0px"
                    }
	});

});
//]]>
</script>
</head>
<body>
<div id="logo"><img class="logo" src="https://loveandover.com/wp-content/uploads/2017/01/LA-Web-SMALL-LOGO.png"></div>
	<div class="nowplaying" style="text-align: center;">Playing: <span id="cc_strinfo_song_andover" class="cc_streaminfo">Loading ...</span>
	</div>
<div id="jquery_jplayer_1" class="jp-jplayer"></div>
<div id="jp_container_1" class="jp-audio-stream" role="application" aria-label="media player">
	<div class="jp-type-single">
		<div class="jp-gui jp-interface">
			<div class="jp-volume-controls">
				<button class="jp-mute" role="button" tabindex="0">mute</button>
				<button class="jp-volume-max" role="button" tabindex="0">max volume</button>
				<div class="jp-volume-bar">
					<div class="jp-volume-bar-value"></div>
				</div>
			</div>
			<div class="jp-controls">
				<button class="jp-play" role="button" tabindex="0">play</button>
			</div>
		</div>
		<div class="jp-details">
			<div class="jp-title" aria-label="title">&nbsp;</div>
		</div>
		<div class="jp-no-solution">
			<span>Update Required</span>
			To play the media you will need to either update your browser to a recent version or update your <a href="http://get.adobe.com/flashplayer/" target="_blank">Flash plugin</a>.
		</div>
	</div>
</div>

</body>
<script>
jQuery('#jquery_jplayer_1').jPlayer("play");</script>
<script language="javascript" type="text/javascript" src="http://s2.xrad.io:2199/system/streaminfo.js"></script>
</html>
